package com.jay.monitor.data.core.exception;

/**
 * 业务异常定义
 *
 * @author : liukx
 * @date : 2019/10/26 - 11:57
 */
public class MessageTypeException extends RuntimeException {

    private String errorCode;

    public MessageTypeException() {
        super();
    }

    public MessageTypeException(String message) {
        super(message);
    }

    public MessageTypeException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public MessageTypeException(Throwable cause) {
        super(cause);
    }

    public MessageTypeException(String message, Throwable cause) {
        super(message, cause);
    }

    @Override
    public String getMessage() {
        return super.getMessage();
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}